package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapAlergiVO extends BaseTransactionVO {

	/**
	 * @author Andri
	 */

	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	

	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private AntrianPasienDiPeriksaVO pasienDaftar;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectAlergiFk")
	@NotNull(message = "alergi tidak boleh kosong")

	@Caption(value = "Object alergi")
	private AlergiVO alergi;

	@NotNull(message = "Keterangan Data tidak boleh kosong")
	@Column(name = "keteranganData", nullable = false)
	@Caption(value = "Keterangan Data")
	private String keteranganData;

	@NotNull(message = "Reaksi tidak boleh kosong")
	@Column(name = "reaksi", nullable = false)
	@Caption(value = "Reaksi")
	private String reaksi;

	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public AntrianPasienDiPeriksaVO getPasien() {
		return pasienDaftar;
	}

	public void setPasien(AntrianPasienDiPeriksaVO pasien) {
		this.pasienDaftar = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public AlergiVO getAlergi() {
		return alergi;
	}

	public void setAlergi(AlergiVO alergi) {
		this.alergi = alergi;
	}

	public String getKeteranganData() {
		return keteranganData;
	}

	public void setKeteranganData(String keteranganData) {
		this.keteranganData = keteranganData;
	}

	public String getReaksi() {
		return reaksi;
	}

	public void setReaksi(String reaksi) {
		this.reaksi = reaksi;
	}

}
